
Katello - Bug #6195

403 when trying to remove a content view version

06/12/2014 03:57 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1109386 Red Hat JIRA:  

Pull request:    

Description

Steps to Reproduce:

1. Create a content view

1. Publish a new version

1. Attempt to remove the version

1. Note 403, even as admin or a user with the correct permissions

Associated revisions

Revision 2f3006da - 06/20/2014 03:58 AM - Partha Aji

Fixes #6195, bz1109386 - 403 on cv version delete

Content view remove call specifying versions and envs to be removed / unasssociated

had a minor glitch -> env_ids - @view.environment_ids.map(&:to_s)).empty?

env_ids = [1,2,3]  while @view.environment_ids.map(&:to_s) = [1,2,3]

Problem was API was treating it like a list of strings while params code changed it to ints

This commit should fix that issue

Revision f2423e86 - 06/20/2014 11:34 AM - Partha Aji

Merge pull request #4279 from parthaa/cvv-perms-fix

Fixes #6195, bz1109386 - 403 on cv version delete

History

#1 - 06/13/2014 06:59 PM - Partha Aji

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1109386

#2 - 06/16/2014 12:06 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 06/16/2014 12:20 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/16/2014 10:04 PM - Partha Aji

Should be fixed with https://github.com/Katello/katello/pull/4279

#5 - 06/20/2014 11:52 AM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:2f3006da1d878e6d63f4744adf79cabbd2607f0e.
https://github.com/Katello/katello/pull/4279


#6 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13
